1. Rosters
Festival API
  • Health
    • Health check
      GET
  • Festivals
    • List festivals
      GET
    • Get festival detail
      GET
    • Get top scored festivals
      GET
  • Rosters
    • Get festival roster
      GET
  • Categories
    • List categories
      GET
  • Countries
    • List available countries
      GET
  • Schemas
    • HealthResponse
    • FestivalListEntry
    • FestivalListResponse
    • FestivalDetail
    • FestivalRosterResponse
    • CategoryListResponse
    • CountryListResponse
    • CountryItem
    • ErrorResponse
  1. Rosters

Get festival roster

GET
https://festivalapi.com/v1/festivals/{id}/roster/
Returns the programming roster (films screened) for a festival.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Query Params

Responses

🟢200
application/json
Festival roster.
Bodyapplication/json

🟠401
🟠402
🟠404
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://festivalapi.com/v1/festivals//roster/?page=&per_page=' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "festival_id": 42,
    "festival_name": "Sundance Film Festival",
    "count": 2,
    "results": [
        {
            "id": 101,
            "festival_id": 42,
            "film_title": "Past Lives",
            "film_director": "Celine Song",
            "film_year": 2023,
            "film_genre": "Drama",
            "film_category": "Feature",
            "film_award": "Grand Jury Prize"
        }
    ]
}
Modified at 2026-07-14 22:16:25
Previous
Get top scored festivals
Next
List categories
Built with